Alerta de Segurança Debian

DSA-199-1 mhonarc -- cross site scripting

Data do Alerta:
19 Nov 2002
Pacotes Afetados:
mhonarc
Vulnerável:
Sim
Referência à base de dados de segurança:
Na base de dados do BugTraq (na SecurityFocus): ID BugTraq 6204.
No dicionário CVE do Mitre: CVE-2002-1307.
Informações adicionais:

Steven Christey descobriu uma vulnerabilidade cross site scripting no mhonarc, um conversor de e-mails para HTML. Mensagens alteradas cuidadosamente pode introduzir um cross site scripting quando o mhonarc está configurado para exibir todos os cabeçalhos na web. É altamente recomendado restringir a exibição de cabeçalhos To, From e Subject, evitando que a vulnerabilidade seja explorada.

Este problema foi corrigido na versão 2.5.2-1.2 para a atual distribuição estável (woody), na versão 2.4.4-1.2 para a antiga distribuição estável (potato) e na versão 2.5.13-1 para a distribuição instável (sid).

Nós recomendamos que você atualize seu pacote mhonarc.

Corrigido em:

Debian GNU/Linux 2.2 (potato)

Fonte:
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.4.4-1.2.dsc
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.4.4-1.2.diff.gz
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.4.4.orig.tar.gz
Componente independente de arquitetura:
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.4.4-1.2_all.deb

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.5.2-1.2.dsc
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.5.2-1.2.diff.gz
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.5.2.orig.tar.gz
Componente independente de arquitetura:
http://security.debian.org/pool/updates/main/m/mhonarc/mhonarc_2.5.2-1.2_all.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.